#2641 closed defect (fixed)

configure: enable-rtemsbsp doesn't warn if bsp does not exist

Reported by: aurelio Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: normal Keywords:
Cc: Chris Johns, joel Blocked By:
Blocking:

Description

When running configure with an incorrect bsp name the script does not cause an error. You can ever run make without getting any warning message.

The script should check the name of the bsp and continue only if it is a valid bsp. On the other hand if the bsp name given by the user is invalid the script should prompt a message.

Attachments (1)

0001-configure-Check-the-enable-rtemsbsp-list-of-BSPs-ear.patch (1.3 KB) - added by Chris Johns on Mar 14, 2016 at 2:04:57 AM.
Add an early check of the RTEMS BSP list.

Download all attachments as: .zip

Change History (8)

Changed on Mar 14, 2016 at 2:04:57 AM by Chris Johns

Add an early check of the RTEMS BSP list.

comment:1 Changed on Mar 14, 2016 at 2:06:23 AM by Chris Johns

Cc: joel added

Try this patch.

Joel, is this ok to push to master and 4.11?

comment:2 Changed on Mar 14, 2016 at 11:12:56 PM by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

The patch is broken, --enable-rtemsbsp accepts space delimited bsps and not comma delimited bsps.

I will update the patch and attach again when I can.

comment:3 Changed on Jan 26, 2017 at 7:16:00 AM by Sebastian Huber

Milestone: 4.11.14.11.2

comment:4 Changed on Mar 21, 2017 at 3:25:40 AM by Chris Johns

Milestone: 4.11.24.12.1
Version: 4.114.12

This is not suitable for a branch. Moving it to master.

comment:5 Changed on Mar 27, 2017 at 6:48:47 AM by Chris Johns

Milestone: 4.12.14.12.0

Move to the first 4.12 milestone.

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:7 Changed on Apr 11, 2018 at 1:57:55 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: acceptedclosed

In 7ff743d/rtems:

Generate an error if a BSP in the --enable-rtemsbsp list is not valid

Also generate an error if the architecure does not match the --target
architecture given to configure's command line.

Close #2641.

Note: See TracTickets for help on using tickets.